<?php
if ( ! defined( 'ABSPATH' ) ) exit;

add_action('admin_init','woocommerce_accounting_col_mapping_install');
function woocommerce_accounting_col_mapping_install() {
    $col_map_opt = get_option('woocommerce_accounting_colorder');
    if (empty($col_map_opt)){
        $col_map_list = array(
        'Journal' => '0',
        'Date' => '1',
        'Inv.Number' => '2',
        'Acc.Code' => '3',
        'Label' => '4',
        'Outcome' => '5',
        'Income' => '6',
        'Cost Center' => '7',
        'Empty 1' => '8',
        'Empty 2' => '9',
        'Empty 3' => '10',
        'Empty 4' => '11'
        );
        update_option('woocommerce_accounting_colorder',$col_map_list);
    }
}

//Columns mapping function
add_action('wp_ajax_woocommerce_accounting_columns_mapping_update','woocommerce_accounting_columns_mapping');
function woocommerce_accounting_columns_mapping (){
    $actual_map = get_option('woocommerce_accounting_colorder');
    $ordermaps = woocommerce_accounting_recursive_sanitize_text_field($_POST['woocommerce_accounting_colorder']);

    $mapping = array();
    unset($ordermaps['filter']);
    foreach ($ordermaps as $key => $map) {
        // Create table with good keys
        $mapping[$map] = $key;
    }
    update_option( 'woocommerce_accounting_colorder', $mapping );
    echo "success";
    exit;
}
