<?php

function woocommerce_accounting_export_select_options($options, $option_name){
	$value = get_option("woocommerce_accounting_{$option_name}");
	$options = apply_filters("woocommerce_accounting_options_{$option_name}", $options);
	$html = '';
	foreach ($options as $key => $label) {
			$html.= '<option value="'.esc_attr($key).'" '.selected($key, $value, true).'>'.$label.'</option>';
	}
	return $html;
}
