<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<table width="90%">
  <tr>
    <td colspan="4">
      <h3><?php _e( 'Order statuses' , 'accounting-for-woocommerce'); ?></h3>
    </td>
  </tr>
  <tr>
    <td><strong><?php _e( 'Order status' , 'accounting-for-woocommerce'); ?></strong></td>
    <td><strong><?php _e( 'Book name' , 'accounting-for-woocommerce'); ?></strong></td>
    <td colspan="2"><strong><?php _e( 'Account number' , 'accounting-for-woocommerce'); ?></strong></td>
  </tr>

      <?php
      $order_statuses = wc_get_order_statuses();
      $status_checked = get_option('woocommerce_accounting_status');
      $status_code = get_option('woocommerce_accounting_status_code');
      $status_account = get_option('woocommerce_accounting_status_account');

      foreach ($order_statuses as $key_status => $order_status) {
        ?>
        <tr>
          <td>
            <input type="checkbox" name="woocommerce_accounting_status[<?php echo ($key_status ?? '') ;?>]" id="woocommerce_accounting_status_<?php echo ($key_status ?? '') ;?>" value="<?php echo $key_status ;?>" <?php  if(is_array ($status_checked)) { if (in_array($key_status,$status_checked)) { echo 'checked' ;} } ?>/><?php echo $order_status ; ?>
          </td>
          <td>
            <input type="text" name="woocommerce_accounting_status_code[<?php echo ($key_status ?? '') ;?>]" id="woocommerce_accounting_status_code_<?php echo ($key_status ?? '') ;?>" value="<?php echo ($status_code[$key_status] ?? ''); ?>">
          </td>
          <td colspan="2">
            <input type="text" name="woocommerce_accounting_status_account[<?php echo ($key_status ?? '') ;?>]" id="woocommerce_accounting_status_account_<?php echo $key_status ;?>" value="<?php echo ($status_account[$key_status] ?? ''); ?>">
          </td>
        </tr>
      <?php } ?>

    <tr>
      <td width="200">
        <h3><?php _e( 'Products' , 'accounting-for-woocommerce'); ?></h3>
      </td>
    </tr>
    <!--New products accounts-->
    <tr valign="middle">
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_prod_accounting_account"><?php _e( 'Account code - Product' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_prod_accounting_account" id="woocommerce_accounting_generic_prod_accounting_account" placeholder="ex : 707" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_prod_accounting_account')); ?>" /><br/><span class="description"></span>
      </td>
    </tr>
    <tr valign="middle">
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_prod_analytic_account"><?php _e( 'Cost center - Product' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_prod_analytic_account" id="woocommerce_accounting_generic_prod_analytic_account" placeholder="ex : 9101" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_prod_analytic_account')); ?>" /><br/><span class="description"></span>
      </td>
    </tr>
    <tr>
      <td width="200">
        <h3><?php _e( 'Customers' , 'accounting-for-woocommerce'); ?></h3>
      </td>
    </tr>
    <!--New customers accounts-->
    <tr valign="middle">
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_cust_accounting_account"><?php _e( 'Account code - Customer' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_cust_accounting_account" id="woocommerce_accounting_generic_cust_accounting_account" placeholder="ex : 411COM" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_cust_accounting_account')); ?>" /><br/><span class="description"></span>
      </td>
    </tr>
    <tr valign="middle">
      <tr>
        <td width="200">
          <h3><?php _e( 'Taxes and delivery options' , 'accounting-for-woocommerce'); ?></h3>
        </td>
      </tr>
      <!--Taxes and shipping accounts-->
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_tax_accounting_account"><?php _e( 'Account code - Tax' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_tax_accounting_account" id="woocommerce_accounting_generic_tax_accounting_account" placeholder="ex : 445" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_tax_accounting_account')); ?>" />
      </td>

      <th width="150" scope="row"><label for="woocommerce_accounting_generic_fdp_accounting_account"><?php _e( 'Account code - Delivery options' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_fdp_accounting_account" id="woocommerce_accounting_generic_fdp_accounting_account" placeholder="ex : 708" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_fdp_accounting_account')); ?>" />
      </td>
    </tr>
    <tr valign="top">

      <th width="150" scope="row"></th>
      <td width="50">
      </td>

      <th width="150" scope="row"><label for="woocommerce_accounting_generic_fdp_analytic_account"><?php _e( 'Cost center - Delivery options' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_fdp_analytic_account" id="woocommerce_accounting_generic_fdp_analytic_account" placeholder="ex : 901" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_fdp_analytic_account')); ?>" />
      </td>
    </tr>

    <tr valign="middle">
      <tr>
        <td width="200">
          <h3><?php _e( 'Discount' , 'accounting-for-woocommerce'); ?></h3>
        </td>
      </tr>
      <!--Discount accounts-->
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_discount_accounting_account"><?php _e( 'Account code - Discount' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_discount_accounting_account" id="woocommerce_accounting_generic_discount_accounting_account" placeholder="ex : 445" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_discount_accounting_account')); ?>" />
      </td>

      <th width="150" scope="row"><label for="woocommerce_accounting_generic_discount_analytic_account"><?php _e( 'Cost center - Discount' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_discount_analytic_account" id="woocommerce_accounting_generic_discount_analytic_account" placeholder="ex : 708" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_discount_analytic_account')); ?>" />
      </td>
    </tr>
    <tr valign="top">

      <th width="150" scope="row"><label for="woocommerce_accounting_generic_discount_product_sku"><?php _e( 'Product SKU - Discount' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_discount_product_sku" id="woocommerce_accounting_generic_discount_product_sku" placeholder="ex : 901" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_discount_product_sku')); ?>" />
      </td>

      <th width="150" scope="row"></th>
      <td width="50">
      </td>
    </tr>
    <tr>
    <tr>
      <td width="200">
        <h3><?php _e( 'Book reference number' , 'accounting-for-woocommerce'); ?></h3>
      </td>
    </tr>
    <!--Journal Code-->
    <tr>
    <th width="150" scope="row"><label for="woocommerce_accounting_book_code_order"><?php _e( 'Sales journal reference number' , 'accounting-for-woocommerce'); ?></label></th>
    <td width="50">
      <input type="text" name="woocommerce_accounting_book_code_order" id="woocommerce_accounting_book_code_order" placeholder="ex : VT" value="<?php echo esc_attr(get_option('woocommerce_accounting_book_code_order')); ?>" />
    </td>
  </tr>
  <tr valign="top">
    <th width="150" scope="row"></th>
    <td width="50">
    </td>
  </tr>
  <tr>
    <td width="200">
      <h3><?php _e( 'Description Prefix' , 'accounting-for-woocommerce'); ?></h3>
    </td>
  </tr>
  <!--Label prefix-->
  <tr>
      <th width="150" scope="row"><label for="woocommerce_accounting_lib_prefix"><?php _e( 'Description prefix' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_lib_prefix" id="woocommerce_accounting_lib_prefix" placeholder="ex : SELL" value="<?php echo esc_attr(get_option('woocommerce_accounting_lib_prefix')); ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"></th>
      <td width="50">
      </td>
    </tr>
    <!-- Exceptionnal accounts -->
    <tr>
      <td width="200">
        <h3><?php _e( 'Exceptional incomes and costs' , 'accounting-for-woocommerce'); ?></h3>
      </td>
    </tr>
    <tr valign="middle">
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_exptcred_accounting_account"><?php _e( 'Exceptional incomes' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_exptcred_accounting_account" id="woocommerce_accounting_generic_exptcred_accounting_account" placeholder="ex : 401" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_exptcred_accounting_account')); ?>" /><br/><span class="description"></span>
      </td>
    </tr>
    <tr valign="middle">
      <th width="150" scope="row"><label for="woocommerce_accounting_generic_exptchar_accounting_account"><?php _e( 'Exceptional costs' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_generic_exptchar_accounting_account" id="woocommerce_accounting_generic_exptchar_accounting_account" placeholder="ex : 658" value="<?php echo esc_attr(get_option('woocommerce_accounting_generic_exptchar_accounting_account')); ?>" /><br/><span class="description"></span>
      </td>
    </tr>
    <!--CSV Columns headers-->
    <td width="200">
      <h3><?php _e( 'CSV Columns Headers' , 'accounting-for-woocommerce'); ?></h3>
    </td>
    </tr>
    <?php $header = get_option('woocommerce_accounting_columns_headers'); ?>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[journal]"><?php _e( 'Sales Journal' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[journal]" id="woocommerce_accounting_columns_headers_journal" placeholder="ex : Sales Journal" value="<?php if (isset($header['journal'])) { echo esc_attr($header['journal']); } ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[date]"><?php _e( 'Date' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[date]" id="woocommerce_accounting_columns_headers_date" placeholder="ex : Date" value="<?php if (isset($header['date'])) { echo esc_attr($header['date']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[number]"><?php _e( 'Invoice Number' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[number]" id="woocommerce_accounting_columns_headers_number" placeholder="ex : Invoice Number" value="<?php if (isset($header['number'])) { echo esc_attr($header['number']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[code]"><?php _e( 'Accounting Code' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[code]" id="woocommerce_accounting_columns_headers_code" placeholder="ex : Accounting Code" value="<?php if (isset($header['code'])) { echo esc_attr($header['code']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[label]"><?php _e( 'Label' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[label]" id="woocommerce_accounting_columns_headers_label" placeholder="ex : Label" value="<?php if (isset($header['label'])) { echo esc_attr($header['label']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[outcome]"><?php _e( 'Outcome' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[outcome]" id="woocommerce_accounting_columns_headers_outcome" placeholder="ex : Outcome" value="<?php if (isset($header['outcome'])) { echo esc_attr($header['outcome']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[income]"><?php _e( 'Income' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[income]" id="woocommerce_accounting_columns_headers_income" placeholder="ex : Income" value="<?php if (isset($header['income'])) { echo esc_attr($header['income']);} ?>" />
      </td>
    </tr>
    <tr valign="top">
      <th width="150" scope="row"><label for="woocommerce_accounting_columns_headers[center]"><?php _e( 'Cost Center' , 'accounting-for-woocommerce'); ?></label></th>
      <td width="50">
        <input type="text" name="woocommerce_accounting_columns_headers[center]" id="woocommerce_accounting_columns_headers_center" placeholder="ex : Cost Center" value="<?php if (isset($header['center'])) { echo esc_attr($header['center']);} ?>" />
      </td>
    </tr>
</table>
<!-- Columns order -->
<h3><?php _e( 'Columns Order' , 'accounting-for-woocommerce'); ?></h3>

<table width="90%">
    <tr>
        <td>
            <script type="text/javascript">
            jQuery(document).ready(function($) {
            $( '#woocommerce_accounting_colorder_col' ).sortable({
              opacity: 0.6,
              axis: 'y',
              update: function() {
                var postData = $(this).sortable('serialize') + '&action=woocommerce_accounting_columns_mapping_update';
                $.post( ajaxurl, postData, function(response) {
                });
              }
            });
            });
            </script>
            <style>
            #woocommerce_accounting_colorder_col { list-style-type: none; margin: 0; padding: 0; width: 60%; }
            #woocommerce_accounting_colorder_col li { margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 1.2em; height: 18px; background-color:#C0C0C0; color:#FFF; }
            #woocommerce_accounting_colorder_col li span { position: absolute; margin-left: -1.3em; }
            </style>
            <ul name="woocommerce_accounting_colorder_col" id="woocommerce_accounting_colorder_col"/>
            <?php
            //Get the map option
            $maps = get_option('woocommerce_accounting_colorder');

            foreach ($maps as $key => $map) {
              echo '<li id="woocommerce_accounting_colorder_' . $key .'"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>' ;
              echo _e(  $key , 'accounting-for-woocommerce');
              echo '</li>';
            }
            ?>
            </ul>
        </td>
    </tr>
</table>
